%define	name edje_viewer
%define	version 1.1.0
%define svn r81625
%define rel 4
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary:	A simple viewer for edj files
Name:		%{name}
Version:	%{version}
Release:	%release
License:	BSD
Group:		Graphical desktop/Enlightenment
URL:		http://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:		%name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
%endif
# commit r69192 (fix elm api)
# Patch0:		edje_viewer-fix-elm-api.patch
# Patch1:		edje_viewer-mga-fix-desktop-file.patch
Patch2: 	edje_viewer-fix-desktop.patch
Patch3:		edje_viewer-automake-1.13.patch
BuildRequires:	edje-devel >= 1.1.0-0.%svn, edje >= 1.1.0-0.%svn
BuildRequires:	ecore-devel >= 1.1.0-0.%svn
Buildrequires:	evas-devel >= 1.1.0-0.%svn
BuildRequires:	elementary-devel >= 0.8.0-0.%svn
BuildRequires:	eweather eweather-devel

%description
A simple viewer for edj files. Should provide more ease of use than the
edje viewer that comes with edje itself.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif
%apply_patches

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc AUTHORS COPYING* README TODO
%{_bindir}/%{name}
%{_datadir}/%name
%{_datadir}/applications/%name.desktop


%changelog

* Tue May 07 2013 trem <trem> 1.1.0-0.r81625.4.mga3
+ Revision: 412573
- increase release to rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.0-0.r81625.3.mga3
+ Revision: 349512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 1.1.0-0.r81625.2.mga3
+ Revision: 344287
- Fix build with automake 1.13

* Sat Dec 22 2012 trem <trem> 1.1.0-0.r81625.1.mga3
+ Revision: 334029
- update to release 81625

* Sat Dec 15 2012 trem <trem> 1.1.0-0.r80969.1.mga3
+ Revision: 331120
- update to release 80969

* Sat Dec 08 2012 trem <trem> 1.1.0-0.r80477.1.mga3
+ Revision: 328261
- update to release 80477

* Sat Nov 24 2012 trem <trem> 1.1.0-0.r79568.1.mga3
+ Revision: 321584
- really fix the desktop file
- change encoding of desktop file to utf8
- update groups to Graphical desktop/Enlightenment
- update to release 79568

* Sat Sep 22 2012 trem <trem> 1.1.0-0.r76819.1.mga3
+ Revision: 296648
- update to release 76819

* Sun Sep 16 2012 trem <trem> 1.1.0-0.r76435.1.mga3
+ Revision: 294483
- add buildrequires eweather eweather-devel
- update to release 76435
- update to release 75400

* Sun Aug 19 2012 trem <trem> 1.1.0-0.r75424.1.mga3
+ Revision: 282150
- update to r75424

* Wed May 09 2012 doktor5000 <doktor5000> 1.1.0-0.r69188.1.mga2
+ Revision: 234992
- fix .desktop file UTF-8 & categories problems

  + trem <trem>
    - This is a big release update because this package wasn't updated
      for a while (the reason is that it was forgotten)
    - update to 1.1.0-0.69188
    - add patch edje_viewer-fix-elm-api.patch to fix elementary api change

* Tue Apr 19 2011 ennael <ennael> 0.1.0-0.20101107.1.mga1
+ Revision: 88280
- clean spec file
- imported package edje_viewer


* Mon Jan 03 2011 Crispin Boylan <crisb@mandriva.org> 0.1.0-0.20101107.1mdv2011.0
+ Revision: 627837
- Rebuild, update tarball

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 0.1.0-0.20100720.1mdv2011.0
+ Revision: 558263
- new snapshot

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.1.0-0.20090807.1mdv2010.0
+ Revision: 411567
- new snapshot based on elementary

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.0.1-20090227.3mdv2010.0
+ Revision: 393571
- rebuild

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 0.0.1-20090227.2mdv2009.1
+ Revision: 347946
- add missing files
- fix %%setup
- SVN SNAPSHOT 20090227, release 0.0.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.0.1-20080209.2mdv2009.0
+ Revision: 266613
- rebuild early 2009.0 package (before pixel changes)

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.0.1-20080209.1mdv2009.0
+ Revision: 167863
- fix no-buildroot-tag

* Sat Feb 09 2008 Austin Acton <austin@mandriva.org> 0.0.1-20080209.1mdv2008.1
+ Revision: 164534
- cvs checkout
- tidy spec

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1-1mdv2008.0
+ Revision: 32298
- CVS snapshot 20070526, adjust buildrequires
- Import edje_viewer

